System.Web 2.0.0.0 System.Object System.Collections.IList System.Web.UI.IHierarchicalEnumerable

The class provides a strongly typed collection for objects. It stores objects internally in a zero-based array.

You can modify a collection when it is first created, and then use the following methods to add, copy, and remove objects:

To add objects, use the , , and methods.

To copy objects, use the method.

To remove objects, use the method.

You can create a read-only , which does not permit adding, copying, nor removing objects, by using the static method. The collections that are returned by the and methods are read-only, as is the that is returned when the property is accessed on a object that is returned from a provider. A exception is thrown, if you attempt to modify a read-only by setting the default indexer property or by using any of the following methods:

Use the property to check the collection before calling any of the methods in the preceding list.

Provides a strongly typed collection for objects and implements the interface to support navigating through the collection.

- Constructor

  Use the constructor to create an empty collection. You can add elements to the using the , , or method.

  Initializes a new instance of the class, which is the default instance.

  2.0.0.0
- Constructor

  Use the constructor to create a collection with the specified initial capacity.

  Initializes a new instance of the class with the specified initial capacity.

  The initial capacity of the .
  2.0.0.0
- Constructor

  Use the constructor to create a collection with a single initial object. You can add elements to the using the , , or method.

  Initializes a new instance of the class and adds the object to the property for the collection.

  A to add to the .
  2.0.0.0
- Constructor
  To be added.

  Using the constructor is equivalent to calling the constructor and adding elements to the collection with the method.

  Initializes a new instance of the class and adds the array of type to the property for the collection.

  2.0.0.0
- Constructor
  To be added.

  Using the constructor is equivalent to calling the constructor and adding elements to the collection with the method.

  Initializes a new instance of the class and adds all the list items of the specified collection to the property for the collection.

  2.0.0.0
- Method
  System.Int32 ``

  You cannot add a object to a read-only or fixed-size collection. You can test whether a is read-only by checking the property.

  Adds a single object to the collection.

  The index of the where the was inserted.

  The to add to the . 2.0.0.0
- Method
  System.Void ``

  The array that is passed to the method can contain null values; however, this leads to unexpected exceptions when the collection is manipulated.

  You cannot add a object to a read-only or fixed-size . You can test whether a is read-only by checking the property.

  Adds an array of type to the collection.

  An array of type to add to the current . 2.0.0.0
- Method
  System.Void ``

  The collection that is passed to the method can contain null objects; however, this leads to unexpected exceptions when the is manipulated.

  You cannot add a object to a read-only or fixed-size . You can test whether a is read-only by checking the property.

  Adds the nodes in the specified to the current collection.

  A that contains the objects to add to the current . 2.0.0.0
- Method
  System.Void

  You can test whether a collection is read-only by checking the property.

  To remove specific elements of the , use the or method.

  Removes all items from the collection.

  2.0.0.0
- Method
  System.Boolean ``

  The method determines equality by calling the method.

  Determines whether the collection contains a specific object.

  true if the contains the specified ; otherwise, false.

  The to locate in the . 2.0.0.0
- Method
  System.Void `` ``

  The method delegates to the property, which accounts for the possible exceptions that are listed in "Exceptions."

  Copies the entire collection to a compatible one-dimensional array, starting at the specified index of the target array.

  The one-dimensional array that must have zero-based indexing and is the destination of the elements copied from the . The zero-based index in at which copying begins. 2.0.0.0
- Property
  System.Int32 To be added. To be added.

  Gets the number of elements contained in the collection.

  2.0.0.0
- Method
  System.Web.UI.WebControls.SiteMapDataSourceView `` `` To be added.

  Retrieves the object that is associated with the nodes in the current collection.

  A named for the objects in the current .

  A control that the view is associated with. The name of the view. 2.0.0.0
- Method
  System.Collections.IEnumerator To be added.

  Retrieves a reference to an enumerator object, which is used to iterate over the collection.

  An object that implements the .

  2.0.0.0
- Method
  System.Web.UI.WebControls.SiteMapHierarchicalDataSourceView To be added.

  Retrieves the object that is associated with the nodes in the current collection.

  A for the objects in the current .

  2.0.0.0
- Method
  System.Web.UI.IHierarchyData `` To be added.

  Returns a hierarchical data item for the specified enumerated item.

  An that represents the object passed to the .

  The object for which to return an . 2.0.0.0
- Method
  System.Int32 ``

  The method determines equality by calling the method.

  Searches for the specified object, and then returns the zero-based index of the first occurrence within the entire collection.

  The zero-based index of the first occurrence of within the entire , if found; otherwise, -1.

  The to locate in the . 2.0.0.0
- Method
  System.Void `` ``

  You can test whether a collection is read-only by checking the property.

  Inserts the specified object into the collection at the specified index.

  The zero-based index at which the is inserted. The to insert. 2.0.0.0
- Property
  System.Boolean To be added. To be added.

  Gets a Boolean value indicating whether nodes can be added to or subtracted from the collection.

  2.0.0.0
- Property
  System.Boolean To be added. To be added.

  Gets a Boolean value indicating whether the collection is read-only.

  2.0.0.0
- Property
  System.Boolean To be added. To be added.

  Gets a Boolean value indicating whether access to the collection is synchronized (thread safe).

  2.0.0.0
- Property
  System.Web.SiteMapNode `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void `` To be added.

  Performs additional custom processes when validating a value.

  The to validate. 2.0.0.0
- Method
  System.Web.SiteMapNodeCollection ``

  You can test whether a collection is read-only by checking the property. The property also returns true when a is read-only.

  Returns a read-only collection that contains the nodes in the specified collection.

  A read-only with the same elements and structure as the original .

  The that contains the objects to add to the read-only . 2.0.0.0
- Method
  System.Void ``

  You can test whether a collection is read-only by checking the property.

  The method determines equality by calling the method.

  Removes the specified object from the collection.

  The to remove from the . 2.0.0.0
- Method
  System.Void ``

  You can test whether a collection is read-only by checking the property.

  To remove an element from the by specifying a object to remove, use the method.

  Removes the object at the specified index of the collection.

  The zero-based index of the element to remove. 2.0.0.0
- Property
  System.Object To be added.

  Enumerating through a collection is intrinsically not a thread safe procedure. Even when a is synchronized, other threads can still modify the , which causes the enumerator to throw an exception. To guarantee thread safety during enumeration, you can either lock the during the entire enumeration or catch the exceptions resulting from changes that are made by other threads.

  Gets an object that can be used to synchronize access to the collection.

  2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` To be added.

  Copies the elements of the interface to an array, starting at a particular array index. This class cannot be inherited.

  A one-dimensional array that must have zero-based indexing and is the destination of the elements copied from the . The zero-based index in at which copying begins.
- Property
  2.0.0.0
  System.Int32 To be added. To be added.

  Gets the number of elements that are contained in the interface. This class cannot be inherited.

- Property
  2.0.0.0
  System.Boolean To be added. To be added.

  Gets a Boolean value indicating whether access to the interface is synchronized (thread safe). This class cannot be inherited.

- Property
  2.0.0.0
  System.Object To be added. To be added.

  Gets an object that can be used to synchronize access to the interface. This class cannot be inherited.

- Method
  2.0.0.0
  System.Collections.IEnumerator To be added.

  Returns an enumerator that iterates through a collection. For a description of this member, see .

  An that can be used to iterate through the .

- Method
  2.0.0.0
  System.Int32 `` To be added.

  Adds an item to the collection in the interface. For a description of this member, see .

  The position into which the new element was inserted.

  The object to add to the .
- Method
  2.0.0.0
  System.Void To be added.

  Removes all items from the collection in the interface. For a description of this member, see .

- Method
  2.0.0.0
  System.Boolean `` To be added.

  Determines whether the collection in the interface contains the specified Boolean value.

  true if the object is found in the ; otherwise, false.

  The object to locate in the .
- Method
  2.0.0.0
  System.Int32 `` To be added.

  Determines the index of the specific item in the collection that is returned by the interface. For a description of this member, see .

  The index of the value, in the list, if found; otherwise, -1.

  The object to locate in the .
- Method
  2.0.0.0
  System.Void `` `` To be added.

  Inserts an item into the collection in the interface at the specified index. For a description of this member, see .

  The zero-based at which to insert . The object to insert into the .
- Property
  2.0.0.0
  System.Boolean To be added. To be added.

  Gets a Boolean value indicating whether the collection has a fixed size. For a description of this member, see .

- Property
  2.0.0.0
  System.Boolean To be added. To be added.

  Gets a Boolean value indicating whether the collection is read-only. For a description of this member, see .

- Property
  2.0.0.0
  System.Object `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` To be added.

  Removes the first occurrence of a specified object from the collection in the interface. For a description of this member, see .

  The object to remove from the .
- Method
  2.0.0.0
  System.Void `` To be added.

  Removes the item at the specified index. For a description of this member, see .

  The zero-based index of the item to remove.
- Method
  2.0.0.0
  System.Web.UI.IHierarchyData `` To be added.

  Returns a hierarchical data item for the specified enumerated item. For a description of this member, see .

  An that represents the object passed to the .

  The object for which to return an .